function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = GLSW.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(14, 19);
g1(1,1)=1;
g1(1,14)=(-(params(4)*getPowerDeriv(y(14),1-params(2),1)*getPowerDeriv(T(1),1/(1-params(2)),1)));
g1(2,2)=1-y(14)*T(11);
g1(2,3)=(-(y(14)*T(13)));
g1(2,14)=(-T(2));
g1(3,2)=T(11);
g1(3,3)=T(13);
g1(3,4)=(-(1/y(5)));
g1(3,5)=(-((-y(4))/(y(5)*y(5))));
g1(4,4)=(-params(4));
g1(4,5)=(-(1-params(4)));
g1(5,2)=(-y(12));
g1(5,4)=(-1);
g1(5,9)=1;
g1(5,17)=(-(1/(1+y(11))));
g1(5,11)=(-((-y(17))/((1+y(11))*(1+y(11)))));
g1(5,12)=(-y(2));
g1(5,13)=y(14);
g1(5,14)=y(13);
g1(5,19)=exp(x(it_, 1));
g1(6,3)=(-y(12));
g1(6,5)=(-1);
g1(6,10)=1;
g1(6,18)=(-(1/(1+y(11))));
g1(6,11)=(-((-y(18))/((1+y(11))*(1+y(11)))));
g1(6,12)=(-y(3));
g1(7,12)=1;
g1(7,13)=(-1);
g1(8,17)=params(4);
g1(8,18)=(-(1-params(4)));
g1(9,2)=(-(1/params(4)/T(3)*T(12)));
g1(9,4)=(-(T(12)*(-(y(2)/params(4)*1/(1-params(4))))/(T(3)*T(3))));
g1(9,12)=1;
g1(10,14)=1;
g1(11,1)=(-(T(2)/params(4)));
g1(11,2)=(-(y(1)*T(11)/params(4)));
g1(11,3)=(-(y(1)*T(13)/params(4)));
g1(11,6)=1;
g1(12,1)=(-((1-T(2))/(1-params(4))));
g1(12,2)=(-(y(1)*(-T(11))/(1-params(4))));
g1(12,3)=(-(y(1)*(-T(13))/(1-params(4))));
g1(12,7)=1;
g1(13,6)=(-params(4));
g1(13,7)=(-(1-params(4)));
g1(13,8)=1;
g1(14,4)=(-(T(10)*T(5)*T(6)*getPowerDeriv(y(4),(-params(2)),1)/T(8)));
g1(14,15)=(-(T(9)*getPowerDeriv(y(15),(-params(2)),1)));
g1(14,8)=(-(T(10)*T(5)*T(7)*T(5)*1/params(1)*getPowerDeriv(y(8),params(2)-params(3),1)/T(8)));
g1(14,16)=(-(T(10)*T(5)*(-(T(6)*T(7)*getPowerDeriv(y(16),params(2)-params(3),1)))/(T(8)*T(8))));
g1(14,11)=1;

end
