function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = GLSW.static_resid_tt(T, y, x, params);
end
residual = zeros(14, 1);
lhs = y(1);
rhs = T(1)^(1/(1-params(2)));
residual(1) = lhs - rhs;
lhs = y(2);
rhs = y(14)*T(2);
residual(2) = lhs - rhs;
lhs = T(2);
rhs = y(4)/y(5);
residual(3) = lhs - rhs;
lhs = (1-params(4))*params(6);
rhs = params(4)*y(4)+(1-params(4))*y(5);
residual(4) = lhs - rhs;
lhs = y(9);
rhs = y(4)+y(2)*y(12)+y(9)/(1+y(11))-y(14)*y(13)-exp(x(1));
residual(5) = lhs - rhs;
lhs = y(10);
rhs = y(5)+y(3)*y(12)+y(10)/(1+y(11))-params(6);
residual(6) = lhs - rhs;
lhs = y(12);
rhs = y(13);
residual(7) = lhs - rhs;
lhs = params(4)*y(9);
rhs = (1-params(4))*y(10);
residual(8) = lhs - rhs;
lhs = y(12);
rhs = T(4)^(-params(2));
residual(9) = lhs - rhs;
lhs = y(14);
rhs = params(6)*params(5);
residual(10) = lhs - rhs;
lhs = y(6);
rhs = y(1)*T(2)/params(4);
residual(11) = lhs - rhs;
lhs = y(7);
rhs = y(1)*(1-T(2))/(1-params(4));
residual(12) = lhs - rhs;
lhs = y(8);
rhs = params(4)*y(6)+(1-params(4))*y(7);
residual(13) = lhs - rhs;
lhs = 1+y(11);
rhs = T(7)*T(8);
residual(14) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
